Debian Bug report logs - #348552
regex(3) mention official program to test with

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Tue, 17 Jan 2006 18:03:32 UTC

Severity: wishlist

Found in version manpages-dev/2.16-1

Fixed in version manpages/2.79-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#348552; Package manpages-dev. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: regex(3) mention official program to test with
Date: Tue, 17 Jan 2006 23:04:25 +0800
Package: manpages-dev
Version: 2.16-1
Severity: wishlist
File: /usr/share/man/man3/regex.3.gz

In the first paragraph mention explicitly if we can use egrep/ed to test
if our rexeps conform to this man page.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#348552; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #8 received at 348552@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 282726-done@bugs.debian.org, 379829-submitter@bugs.debian.org, 348552@bugs.debian.org
Cc: manpages@packages.qa.debian.org
Subject: backwards bug: grep.1 and regex.7
Date: Thu, 19 Oct 2006 11:08:46 -0400
retitle 348552 Please make regex(3) reference grep(1)
thanks

I'm afraid this bug was backwards, and I didn't notice until just now.
grep(1) has an excellent introduction to regexs.  Manpages already has a
couple bugs about regex(7); I would suggest that regex(7) SEE ALSO
grep(1), (satisfying #348552), and providing an arguably better
high-level-first introduction to the concept (addressing #379829).  I
found that regex(7) is more easily digested when read backwards.

Paul, is the grep(1) manpage section on regexs more to your liking?

Justin

An additional suggested text for regex(7):

Regular expressions are implemented and utilized by many programs,
including
.BR grep (1),
.BR ed (1),
.BR sed (1),
.BR perl (1).
(This might also mention that grep and sed are [mostly] line-based).



Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #13 received at 348552-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 348552-close@bugs.debian.org
Subject: Bug#348552: fixed in manpages 2.79-1
Date: Fri, 14 Mar 2008 09:32:04 +0000
Source: manpages
Source-Version: 2.79-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.79-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.79-1_all.deb
manpages_2.79-1.diff.gz
  to pool/main/m/manpages/manpages_2.79-1.diff.gz
manpages_2.79-1.dsc
  to pool/main/m/manpages/manpages_2.79-1.dsc
manpages_2.79-1_all.deb
  to pool/main/m/manpages/manpages_2.79-1_all.deb
manpages_2.79.orig.tar.gz
  to pool/main/m/manpages/manpages_2.79.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 348552@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 14 Mar 2008 10:04:56 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.79-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 348552
Changes: 
 manpages (2.79-1) unstable; urgency=low
 .
   * New upstream source
     . Add grep(1) to SEE ALSO in regex(7) (closes: Bug#348552)
Files: 
 337e6c036e5ec4930cc4c20e091e6c05 584 doc important manpages_2.79-1.dsc
 4ecf4ea6ccd83d9d52687c45a692a74d 1294367 doc important manpages_2.79.orig.tar.gz
 f9fa3bbc41c3617a466fe1e38ba6eb3a 47041 doc important manpages_2.79-1.diff.gz
 e41abd9d786b736905077c57f0b2f04e 552548 doc important manpages_2.79-1_all.deb
 d45c35f38b6a105be79e6f2ac2c2c667 1378210 doc optional manpages-dev_2.79-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH2kJ9W5ql+IAeqTIRArGJAJwOdRzcwYWWjUakNK7g59zcsmiB7wCghtqY
VI0DSonpfrmXq7CBjqr+VOY=
=0Bft
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Apr 2008 07:32:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:42:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.